## golang-1.21 1.21~rc2

=== debian/changelog ===
golang-1.21 (1.21~rc2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21~rc2

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 22 Jun 2023 14:53:06 +0800

golang-1.21 (1.21~rc1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21rc1
  * Install go.env in GOROOT
  * Drop patches
    + 0001-Disable-test-for-UserHomeDir.patch.
      Now the test doesn't fail if HOME dir doesn't exist
      See https://github.com/golang/go/commit/bb4ea80b
    + 0002-Fix-Lintian-warnings-about-wrong-interpreter-path.patch.
      We don't run these scripts, just leave them as is.
    + 0003-cmd-dist-increase-default-timeout-scale-for-arm.patch.
      Upstream has removed arch-specific timeout scale heuristics.
      See https://github.com/golang/go/issues/57117
      We can move the setting to dh-golang.
    + 0004-skip-userns-test-in-schroot-as-well.patch.
      Now the tests doesn't hardcode chroot types.
      See https://github.com/golang/go/commit/09267142

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 20 Jun 2023 17:39:49 +0800

golang-1.20 (1.20.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.5
    + CVE-2023-29402: cmd/go: cgo code injection
    + CVE-2023-29403: runtime: unexpected behavior of setuid/setgid binaries
    + CVE-2023-29404/CVE-2023-29405: cmd/go: improper sanitization of LDFLAGS

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 07 Jun 2023 12:05:11 +0800

golang-1.20 (1.20.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.4
    + CVE-2023-24539: html/template: improper sanitization of CSS values
    + CVE-2023-24540: html/template: improper handling of JavaScript whitespace
    + CVE-2023-29400: html/template: improper handling of empty HTML attributes

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 03 May 2023 14:56:49 +0800

golang-1.20 (1.20.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.3
    + CVE-2023-24537: go/parser: infinite loop in parsing
    + CVE-2023-24538: html/template: backticks not treated as string delimiters
    + CVE-2023-24534: net/http, net/textproto: denial of service from excessive
      memory allocation
    + CVE-2023-24536: net/http, net/textproto, mime/multipart: denial of
      service from excessive resource consumption

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 05 Apr 2023 02:04:08 +0800

golang-1.20 (1.20.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.2
    + CVE-2023-24532: crypto/elliptic: incorrect P-256 ScalarMult and
      ScalarBaseMult results

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Mar 2023 13:57:35 +0800

golang-1.20 (1.20.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.1
    + CVE-2022-41722: path/filepath: path traversal in filepath.Clean on
      Windows
    + CVE-2022-41725: net/http, mime/multipart: denial of service from
      excessive resource consumption
    + CVE-2022-41724: crypto/tls: large handshake records may cause panics
    + CVE-2022-41723: net/http: avoid quadratic complexity in HPACK decoding

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Feb 2023 09:53:55 +0800

golang-1.20 (1.20-1) unstable; urgency=medium

  * Team upload
  * New upstream release 1.20
  * Remove patches applied upstream:
    - d/patches/0005-Revert-internal-fsys-follow-root-symlink-in-fsys.Wal.patch
    - d/patches/0006-time-revert-strict-parsing-of-RFC-3339.patch

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 02 Feb 2023 13:54:15 +1300

golang-1.20 (1.20~rc3-2) unstable; urgency=medium

  * Team upload
  * Revert strict parsing of RFC 3339.
    See https://github.com/golang/go/issues/54580

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 19 Jan 2023 16:45:22 +0800

golang-1.20 (1.20~rc3-1) unstable; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * New upstream version 1.20 rc3

  [ Shengjing Zhu ]
  * Drop 0005-syscall-skip-TestUseCgroupFD-if-cgroupfs-not-mounted.patch,
    merged in new version.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 13 Jan 2023 09:51:55 +0800

golang-1.20 (1.20~rc2-2) unstable; urgency=medium

  * Team upload
  * Add NO_PNG_PKG_MANGLE to prevent mangling testdata.
    This is Ubuntu specific behaviour so they can sync the package without
    vendor patch.
  * Revert "internal/fsys: follow root symlink in fsys.Walk"
    Fix https://github.com/golang/go/issues/57754

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 12 Jan 2023 22:27:08 +0800

golang-1.20 (1.20~rc2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20~rc2
  * Bump bootstrap Go to 1.17.
    See https://github.com/golang/go/issues/44505
  * Drop i386 bootstrap workaround with Go < 1.16
  * Add patch to skip TestUseCgroupFD for schroot
  * Update Standards-Version to 4.6.2 (no changes)
  * $GOROOT/pkg no longer stores pre-compiled package archives for the
    standard library
  * Make all scripts in src directory executable. To silence lintian.
  * Refresh lintian overrides

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 05 Jan 2023 16:01:28 +0800

golang-1.19 (1.19.4-1) unstable; urgency=medium

  * New upstream version 1.19.4
    + CVE-2022-41720: os, net/http: avoid escapes from os.DirFS and http.Dir
      on Windows
    + CVE-2022-41717: net/http: limit canonical header cache by bytes, not
      entries

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 06 Dec 2022 16:10:54 -0600

golang-1.19 (1.19.3-1) unstable; urgency=medium

  * New upstream version 1.19.3
    + CVE-2022-41716: syscall, os/exec: unsanitized NUL in environment variables
      On Windows, syscall.StartProcess and os/exec.Cmd did not properly check
      for invalid environment variable values. A malicious environment variable
      value could exploit this behavior to set a value for a different
      environment variable.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 03 Nov 2022 08:39:47 -0500

golang-1.19 (1.19.2-1) unstable; urgency=medium

  * New upstream version 1.19.2

