=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,6 @@
 GENERATED_FILES := \
 	src/cmd/go/internal/cfg/zdefaultcc.go \
 	src/go/build/zcgo.go \
-	src/internal/platform/zosarch.go \
 	src/runtime/internal/sys/zversion.go \
 	src/time/tzdata/zzipdata.go \
 	src/cmd/cgo/zdefaultcc.go \
@@ -103,7 +102,7 @@
 override_dh_auto_build-arch:
 	[ -f VERSION ] || echo "debian snapshot $(DEB_VERSION)" > VERSION
 
-	export GOROOT_BOOTSTRAP=$$(env -i GOPATH=$(GOPATH) go env GOROOT) \
+	export GOROOT_BOOTSTRAP=$$(env -i GOPATH=$(GOPATH) /usr/lib/go-1.18/bin/go env GOROOT) \
 	&& cd $(CURDIR)/src \
 	&& $(CURDIR)/debian/helpers/goenv.sh bash ./make.bash --no-banner
