## golang-1.21 1.21.2

=== debian/changelog ===
golang-1.21 (1.21.2-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1.21.1-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 07 Oct 2023 14:01:26 +0000]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 12 Oct 2023 02:51:57 +0000

golang-1.21 (1.21.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.2
    + CVE-2023-39323: cmd/go: line directives allows arbitrary execution during
      build

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 06 Oct 2023 19:35:37 +0800
