## golang-1.21 1.21.4

=== debian/changelog ===
golang-1.21 (1.21.4-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1.21.1-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 07 Oct 2023 14:01:26 +0000]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 17 Nov 2023 05:35:28 +0000

golang-1.21 (1.21.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.4
    + CVE-2023-45283: path/filepath: recognize \??\ as a Root Local Device
      path prefix.
    + CVE-2023-45284: path/filepath: recognize device names with trailing
      spaces and superscripts.

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Nov 2023 03:40:30 +0800
