## golang-1.21 1.21.6

=== debian/changelog ===
golang-1.21 (1.21.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.6

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 11 Jan 2024 18:46:44 +0800

golang-1.21 (1.21.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.5
    + CVE-2023-39326: net/http: limit chunked data overhead
    + CVE-2023-45285: cmd/go: go get may unexpectedly fallback to insecure git
    + CVE-2023-45283: path/filepath: retain trailing \ when cleaning paths
      like \\?\c:\

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 06 Dec 2023 15:32:23 +0800
