## golang-1.21 1.21.9

=== debian/changelog ===
golang-1.21 (1.21.9-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.9
    + CVE-2023-45288: http2: close connections when receiving too many headers

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Apr 2024 04:16:59 +0800

golang-1.21 (1.21.8-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.8
    + CVE-2024-24783: crypto/x509: Verify panics on certificates with an
      unknown public key algorithm
    + CVE-2023-45290: net/http: memory exhaustion in Request.ParseMultipartForm
    + CVE-2023-45289: net/http, net/http/cookiejar: incorrect forwarding of
      sensitive headers and cookies on HTTP redirect
    + CVE-2024-24785: html/template: errors returned from MarshalJSON methods
      may break template escaping
    + CVE-2024-24784: net/mail: comments in display names are incorrectly
      handled
  * Update upstream signing key

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 06 Mar 2024 15:14:10 +0800

golang-1.21 (1.21.7-2) unstable; urgency=medium

  * Team upload
  * Skip flaky TestCrashDumpsAllThreads on mips64le

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 26 Feb 2024 17:13:31 +0800

golang-1.21 (1.21.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.7

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 21 Feb 2024 16:35:15 +0800
