=== debian/watch ===
#
# WARNING: "debian/watch" is generated via "debian/rules gencontrol" (sourced from "debian/watch.in")
#

version=4
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
pgpmode=auto \
  https://go.dev/dl/ .*/go(1.21\S*)\.src\.tar\.gz
