## golang-1.21 1.21.10

=== debian/changelog ===
golang-1.21 (1.21.10-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.10
     + CVE-2024-24788: net: malformed DNS message can cause infinite loop

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 May 2024 17:13:11 +0800
