## golang-1.21 1.21.13

=== debian/changelog ===
golang-1.21 (1.21.13-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 09 Sep 2024 17:26:20 +0800

golang-1.21 (1.21.13-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.13

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 07 Aug 2024 11:57:13 +0800

golang-1.21 (1.21.8-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anthony Fok <foka@debian.org>  Fri, 15 Mar 2024 01:53:26 -0600

golang-1.21 (1.21.7-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 28 Feb 2024 16:23:20 +0800

golang-1.21 (1.21.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anthony Fok <foka@debian.org>  Wed, 21 Feb 2024 14:15:51 -0700

golang-1.21 (1.21.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anthony Fok <foka@debian.org>  Fri, 16 Feb 2024 00:41:30 -0700

golang-1.21 (1.21.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anthony Fok <foka@debian.org>  Mon, 01 Jan 2024 23:22:33 -0700

golang-1.21 (1.21.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anthony Fok <foka@debian.org>  Sun, 12 Nov 2023 21:14:55 -0700
