=== debian/control ===
--- 
+++ 
@@ -50,6 +50,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: golang-1.21-go (<< 1.21~rc3)
+Replaces: golang-1.21-go (<< 1.21~rc3)
 Description: Go programming language - source files
  The Go programming language is an open source project to make programmers more
  productive. Go is expressive, concise, clean, and efficient. Its concurrency
